std::_Vector_base< _Tp, _Alloc > Struct Template Reference

`#include <stl_vector.h>`

Inheritance diagram for std::_Vector_base< _Tp, _Alloc >:
[legend]

## Public Types

typedef __gnu_cxx::__alloc_traits< _Alloc >::template rebind< _Tp >::other | _Tp_alloc_type
typedef _Alloc | allocator_type
typedef __gnu_cxx::__alloc_traits< _Tp_alloc_type >::pointer | pointer

## Public Member Functions

constexpr | _Vector_base (_Tp_alloc_type &&__a) noexcept
| _Vector_base (_Vector_base &&)=default
constexpr | _Vector_base (_Vector_base &&__x, const allocator_type &__a)
constexpr | _Vector_base (const allocator_type &__a) noexcept
constexpr | _Vector_base (const allocator_type &__a, _Vector_base &&__x)
constexpr | _Vector_base (size_t __n)
constexpr | _Vector_base (size_t __n, const allocator_type &__a)
constexpr pointer | _M_allocate (size_t __n)
constexpr void | _M_deallocate (pointer __p, size_t __n)
constexpr const _Tp_alloc_type & | _M_get_Tp_allocator () const noexcept
constexpr _Tp_alloc_type & | _M_get_Tp_allocator () noexcept
constexpr allocator_type | get_allocator () const noexcept

## Public Attributes

_Vector_impl | _M_impl

## Protected Member Functions

constexpr void | _M_create_storage (size_t __n)

## Detailed Description

template<typename _Tp, typename _Alloc>
struct std::_Vector_base< _Tp, _Alloc >

See bits/stl_deque.h's _Deque_base for an explanation.

Definition at line 85 of file stl_vector.h.

## Member Typedef Documentation

## _Tp_alloc_type

template<typename _Tp, typename _Alloc>

typedef __gnu_cxx::__alloc_traits<_Alloc>::template rebind<_Tp>::other std::_Vector_base< _Tp, _Alloc >::_Tp_alloc_type

Definition at line 88 of file stl_vector.h.

## allocator_type

template<typename _Tp, typename _Alloc>

typedef _Alloc std::_Vector_base< _Tp, _Alloc >::allocator_type

Definition at line 297 of file stl_vector.h.

## pointer

template<typename _Tp, typename _Alloc>

typedef __gnu_cxx::__alloc_traits<_Tp_alloc_type>::pointer std::_Vector_base< _Tp, _Alloc >::pointer

Definition at line 90 of file stl_vector.h.

## Constructor & Destructor Documentation

## _Vector_base() [1/6]

template<typename _Tp, typename _Alloc>

std::_Vector_base< _Tp, _Alloc >::_Vector_base | ( | const allocator_type & | __a | ) |

inline constexpr noexcept

Definition at line 321 of file stl_vector.h.

## _Vector_base() [2/6]

template<typename _Tp, typename _Alloc>

std::_Vector_base< _Tp, _Alloc >::_Vector_base | ( | size_t | __n | ) |

inline constexpr

Definition at line 327 of file stl_vector.h.

## _Vector_base() [3/6]

template<typename _Tp, typename _Alloc>

std::_Vector_base< _Tp, _Alloc >::_Vector_base | ( | size_t | __n,
|  | const allocator_type & | __a )

inline constexpr

Definition at line 333 of file stl_vector.h.

## _Vector_base() [4/6]

template<typename _Tp, typename _Alloc>

std::_Vector_base< _Tp, _Alloc >::_Vector_base | ( | _Tp_alloc_type && | __a | ) |

inline constexpr noexcept

Definition at line 343 of file stl_vector.h.

## _Vector_base() [5/6]

template<typename _Tp, typename _Alloc>

std::_Vector_base< _Tp, _Alloc >::_Vector_base | ( | _Vector_base< _Tp, _Alloc > && | __x,
|  | const allocator_type & | __a )

inline constexpr

Definition at line 347 of file stl_vector.h.

## _Vector_base() [6/6]

template<typename _Tp, typename _Alloc>

std::_Vector_base< _Tp, _Alloc >::_Vector_base | ( | const allocator_type & | __a,
|  | _Vector_base< _Tp, _Alloc > && | __x )

inline constexpr

Definition at line 361 of file stl_vector.h.

## ~_Vector_base()

template<typename _Tp, typename _Alloc>

std::_Vector_base< _Tp, _Alloc >::~_Vector_base | ( |  | ) |

inline constexpr noexcept

Definition at line 367 of file stl_vector.h.

## Member Function Documentation

## _M_allocate()

template<typename _Tp, typename _Alloc>

pointer std::_Vector_base< _Tp, _Alloc >::_M_allocate | ( | size_t | __n | ) |

inline constexpr

Definition at line 378 of file stl_vector.h.

## _M_create_storage()

template<typename _Tp, typename _Alloc>

void std::_Vector_base< _Tp, _Alloc >::_M_create_storage | ( | size_t | __n | ) |

inline constexpr protected

Definition at line 396 of file stl_vector.h.

## _M_deallocate()

template<typename _Tp, typename _Alloc>

void std::_Vector_base< _Tp, _Alloc >::_M_deallocate | ( | pointer | __p,
|  | size_t | __n )

inline constexpr

Definition at line 386 of file stl_vector.h.

## _M_get_Tp_allocator() [1/2]

template<typename _Tp, typename _Alloc>

const _Tp_alloc_type & std::_Vector_base< _Tp, _Alloc >::_M_get_Tp_allocator | ( |  | ) | const

inline constexpr noexcept

Definition at line 306 of file stl_vector.h.

## _M_get_Tp_allocator() [2/2]

template<typename _Tp, typename _Alloc>

_Tp_alloc_type & std::_Vector_base< _Tp, _Alloc >::_M_get_Tp_allocator | ( |  | ) |

inline constexpr noexcept

Definition at line 301 of file stl_vector.h.

## get_allocator()

template<typename _Tp, typename _Alloc>

allocator_type std::_Vector_base< _Tp, _Alloc >::get_allocator | ( |  | ) | const

inline constexpr noexcept

Definition at line 311 of file stl_vector.h.

## Member Data Documentation

## _M_impl

template<typename _Tp, typename _Alloc>

_Vector_impl std::_Vector_base< _Tp, _Alloc >::_M_impl

Definition at line 374 of file stl_vector.h.

The documentation for this struct was generated from the following file:

- stl_vector.h